GuidesAPI Reference
API Reference

Gets changes for the version or time range for the specific partition(s).

Gets the latest partition changes for a version range in a versioned layer or a time range for a volatile layer. Only the latest change for each changed partition is returned, not intermediate changes. If the response contains a partition with an empty 'dataHandle' value, the partition was deleted at the version indicated by the 'version' field of the partition object. If a partition was created and deleted between the versions specified in the startVersion and endVersion parameters, the partition is included in the response with an empty dataHandle value. For example, if you request versions 0 to 10, and a partition was created in version 3 and then deleted in version 7, it is included in the response with an empty dataHandle value.

Path Params
string
required

The ID of the layer specified in the request. The value of this parameter must refer to a valid layer already configured in the catalog configuration. You can specify multiple layers as additional parameters.

Query Params
string

Start version for the catalog (exclusive). By convention -1 indicates the virtual initial version before the first publication which will have version 0.

string

End version (inclusive). This has to be a valid catalog version greater than the startVersion.

int64

Will return partitions whose data has been modified since this time, in milliseconds since epoch, inclusive.

string
enum
Defaults to default

The context where the operation will be performed on a composite layers. Only available for versioned layers.

Available context are:

ContextDescription
defaultThe default value if none is given. For composite layers the operation is executed for both layers current and the layer it extends. For normal layers this is the only valid context.
extensionThe operation will be executed only in the extension and no operation will be performed in the extended layer.
superThe operation will be executed only in the layer being extended (super layer).
Allowed:
additionalFields
array of strings

Additional fields - dataSize, checksum, compressedDataSize, crc.

additionalFields
partition
array of strings
required

The partitions you want to include in the response. This allows you to limit the response to specific partitions. You can specify multiple partitions by using this parameter multiple times. The maximum number of partitions per call is 100.

partition*
string

Billing Tag is an optional free-form tag which is used for grouping billing records together. If supplied, it must be between 4 - 16 characters, contain only alpha/numeric ASCII characters [A-Za-z0-9]. Grouping billing records by billing tag will be available in future releases.

Responses

400

Required parameters are missing

401

Unauthorized

403

Forbidden

404

Catalog or layer does not exist

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json